Bug 2172342 - Can't open file anon_inode:i915.gem which was expanded to anon_inode:i915.gem during file-backed mapping note processing
Summary: Can't open file anon_inode:i915.gem which was expanded to anon_inode:i915.gem...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Buettner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2023-02-22 02:59 UTC by lnie
Modified: 2023-02-24 01:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-24 01:37:37 UTC
Type: Bug


Attachments (Terms of Use)
journal (1.80 MB, text/plain)
2023-02-22 02:59 UTC, lnie
no flags Details
the created backtrace file (10.20 KB, text/plain)
2023-02-22 03:02 UTC, lnie
no flags Details

Description lnie 2023-02-22 02:59:37 UTC
Created attachment 1945660 [details]
journal

Description of problem:
I try to report the serious gnome-software crash bug[1]  with gnome-abrt,but failed,as gnome-abrt complaints that there is no frame and no thread found in the backtrace produced by gdb.

https://bugzilla.redhat.com/show_bug.cgi?id=2172059

Version-Release number of selected component (if applicable):
gdb-12.1-16.fc38.x86_64
gnome-abrt-1.4.2-4.fc38.x86_64
abrt-2.16.0-2.fc38.x86_64


How reproducible:

always
Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2023-02-22 03:02:26 UTC
Created attachment 1945661 [details]
the created backtrace file

Comment 2 lnie 2023-02-22 03:05:33 UTC
coredump(larger than the bugzilla allowed size):https://lnie.fedorapeople.org/coredump.tar.gz

Comment 3 Fedora Blocker Bugs Application 2023-02-22 03:15:18 UTC
Proposed as a Blocker for 38-beta by Fedora user lnie using the blocker tracking app because:

 This bug will  reduces potential  bug reports, and will introduce some inconvenience to the developers,as  gnome-abrt created backtrace  also shows the line numbers, which helps significantly to recognize where exactly the problem is when a crash happens.

Comment 4 Michal Srb 2023-02-23 19:57:55 UTC
Note the problem here (or rather in 2172059) is that gdb couldn't download debuginfo in 20 minutes. The timeout (20m) is set by ABRT.

I am wondering if the issue is reproducible? It might have been just a problem with network, or maybe with the debuginfod servers.

Comment 5 Michal Srb 2023-02-23 20:08:35 UTC
Ok, maybe there is something wrong with gdb (or that coredump):

```
[New LWP 2926]
[New LWP 3254]
[New LWP 3257]
[New LWP 3259]
Core was generated by `/usr/bin/gnome-software --gapplication-service'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007fe6180c8230 in ?? ()
[Current thread is 1 (LWP 2490)]
(gdb) bt full
#0  0x00007fe6180c8230 in ?? ()
No symbol table info available.
#1  0x00007fe6180c81ef in ?? ()
No symbol table info available.
#2  0x00007ffc757963b0 in ?? ()
No symbol table info available.
#3  0x00007fe62ec3f35c in ?? ()
No symbol table info available.
#4  0x0000557f73c9dcf0 in ?? ()
No symbol table info available.
#5  0x0000557f7420b530 in ?? ()
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.
```

Comment 6 Kevin Buettner 2023-02-23 22:19:15 UTC
GDB and the coredump work for me...

$ gdb -q /usr/bin/gnome-software -c coredump
Reading symbols from /usr/bin/gnome-software...

This GDB supports auto-downloading debuginfo from the following URLs:
https://debuginfod.fedoraproject.org/ 
Enable debuginfod for this session? (y or [n]) y
Debuginfod has been enabled.
To make this setting permanent, add 'set debuginfod enabled on' to .gdbinit.
Reading symbols from /home/kev/.cache/debuginfod_client/e021ee4b11576ab35fce1dc7b2a973f28482002f/debuginfo...

[ warnings snipped ]

[New LWP 2490]
[New LWP 2709]
[New LWP 2633]
[New LWP 3256]
[New LWP 2924]
[New LWP 2928]
[New LWP 2634]
[New LWP 3252]
[New LWP 3253]
[New LWP 3255]
[New LWP 2631]
[New LWP 2925]
[New LWP 2926]
[New LWP 3254]
[New LWP 3257]
[New LWP 3259]

warning: .dynamic section for "/lib64/libxmlb.so.2" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libadwaita-1.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libcairo.so.2" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libcurl.so.4" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libpangocairo-1.0.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libpangoft2-1.0.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libtracker-sparql-3.0.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libcairo-script-interpreter.so.2" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libpixman-1.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib64/gtk-4.0/4.0.0/printbackends/libprintbackend-cups.so" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libibus-1.0.so.5" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libgbm.so.1" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libostree-1.so.1" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib64/gio/modules/libgiognomeproxy.so" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/lib64/libEGL_mesa.so.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib64/dri/iris_dri.so" is not at the expected address (wrong library or version mismatch?)
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/gnome-software --gapplication-service'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007fe6180c8230 in update_app_unlock_cb (source_object=0x557f73c9dcf0, 
    result=0x0, user_data=0x0) at /usr/include/glib-2.0/glib/gmem.h:233
233	  return ref;
[Current thread is 1 (Thread 0x7fe62c46aa80 (LWP 2490))]
(gdb) bt full
#0  0x00007fe6180c8230 in update_app_unlock_cb
    (source_object=0x557f73c9dcf0, result=0x0, user_data=0x0)
    at /usr/include/glib-2.0/glib/gmem.h:233
        client = 0x557f73c9dcf0
        app_data = 0x0
        task = 0x557f782cb7e0
        data = 0x557f77da48e0
        cancellable = 0x557f78889e20
        self = 0x557f7420b530
        local_error = 0x0
#1  0x00007fe6180c87ee in update_app_download_cb
    (source_object=0x557f7420b530, result=0x0, user_data=0x0)
    at /usr/include/glib-2.0/glib/gmem.h:233
        self = 0x557f7420b530
        app_data = 0x0
        task = 0x557f782cb7e0
        data = 0x557f77da48e0
        cancellable = 0x557f78889e20
        local_error = 0x0
#2  0x00007fe6180c89f4 in gs_plugin_fwupd_update_apps_async
    (plugin=0x557f7420b530, apps=0x557f74319040, flags=<optimized out>, progress_callback=<optimized out>, progress_user_data=0x557f787e8f80, app_needs_user_action_callback=<optimized out>, app_needs_user_action_data=0x557f787e8f80, cancellable=0x557f78889e20, callback=0x7fe62f099d10 <plugin_update_apps_cb>, user_data=0x557f787e8f80) at ../plugins/fwupd/gs-plugin-fwupd.c:1476
        app = 0x7fe60803a710
        app_data = 0x0
        i = 0
        self = 0x557f7420b530
        task = 0x557f782cb7e0
        interactive = 1
        data = 0x557f77da48e0
        data_owned = 0x0
#3  0x00007fe62f09cfb7 in gs_plugin_job_update_apps_run_async
    (job=job@entry=0x557f788705c0, plugin_loader=plugin_loader@entry=0x557f73cffac0, cancellable=cancellable@entry=0x557f78889e20, callback=callback@entry=0x7fe62f0a5390 <run_job_cb>, user_data=<optimized out>)
    at ../lib/gs-plugin-job-update-apps.c:269
        plugin = 0x557f7420b530
        plugin_class = <optimized out>
        i = 2
        self = 0x557f788705c0
        task = 0x557f787e8f80
        plugins = 0x557f73cab720
        any_plugins_ran = 1
        local_error = 0x0
#4  0x00007fe62f0a58e9 in job_process_cb (task=0x557f7838b5a0)
    at ../lib/gs-plugin-loader.c:3589
        begin_time_nsec = <optimized out>
        plugin_job = 0x557f788705c0
        plugin_loader = 0x557f73cffac0
        cancellable = 0x557f78889e20
        job_class = 0x557f787ec260
        action = <optimized out>
        helper = <optimized out>
#5  0x00007fe62f0a5c44 in gs_plugin_loader_job_process_async
    (plugin_loader=0x557f73cffac0, plugin_job=0x557f788705c0, cancellable=<optimized out>, callback=0x557f720ea980 <_perform_update_cb>, user_data=<optimized out>) at ../lib/gs-plugin-loader.c:3546
        job_class = <optimized out>
        action = <optimized out>
        task = 0x557f7838b5a0
        cancellable_job = 0x557f78889e20
        task_name = 0x557f7425d300 "gs_plugin_loader_job_process_async GsPluginJ--Type <RET> for more, q to quit, c to continue without paging--c
obUpdateApps"
        __func__ = "gs_plugin_loader_job_process_async"
#6  0x0000557f720ea7ad in _button_update_all_clicked_cb (self=0x557f74318730) at ../src/gs-updates-section.c:426
        cancellable = 0x557f78889e20
        plugin_job = 0x557f788705c0
        helper = 0x557f77da96d0
#7  0x00007fe62ed7cd08 in _g_closure_invoke_va (param_types=0x0, n_params=<optimized out>, args=0x7ffc75796800, instance=0x557f7431f5c0, return_value=0x0, closure=0x557f74070840) at ../gobject/gclosure.c:895
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = 0
        real_closure = 0x557f74070820
        return_accu = 0x0
        accu = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str
{next = 0x7ffc757969a0, instance = 0x557f7431f5c0, ihint = {signal_id = 161, detail = 0, run_type = (G_SIGNAL_RUN_FIRST | G_SIGNAL_ACCUMULATOR_FIRST_RUN)}, state = EMISSION_RUN, chain_type = }
        instance_type = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str

        emission_return = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 0x4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = <optimized out>
        run_type = <optimized out>
        hlist = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __func__ = "g_signal_emit_valist"
#8  g_signal_emit_valist (instance=0x557f7431f5c0, signal_id=161, detail=0, var_args=<optimized out>) at ../gobject/gsignal.c:3462
        return_accu = 0x0
        accu = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str
{next = 0x7ffc757969a0, instance = 0x557f7431f5c0, ihint = {signal_id = 161, detail = 0, run_type = (G_SIGNAL_RUN_FIRST | G_SIGNAL_ACCUMULATOR_FIRST_RUN)}, state = EMISSION_RUN, chain_type = }
        instance_type = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str

        emission_return = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 0x4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = <optimized out>
        run_type = <optimized out>
        hlist = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __func__ = "g_signal_emit_valist"
#9  0x00007fe62ed7cdf3 in g_signal_emit (instance=0x557f7420b530, signal_id=1941724736, detail=789145312) at ../gobject/gsignal.c:3611
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffc757968e0, reg_save_area = 0x7ffc75796820}}
#10 0x00007fe62e4b1773 in gtk_action_bar_get_property (value=<optimized out>, pspec=0x557f7431fd10, prop_id=1970891424, object=<optimized out>) at ../gtk/gtkactionbar.c:140
        _glib__object = <optimized out>
        _glib__pspec = 0x557f7431fd10
        _glib__property_id = 1970891424
        self = <optimized out>
        __func__ = "gtk_action_bar_get_property"
#11 gtk_action_bar_get_property (object=<optimized out>, prop_id=1970891424, value=<optimized out>, pspec=0x557f7431fd10) at ../gtk/gtkactionbar.c:127
        self = <optimized out>
        __func__ = "gtk_action_bar_get_property"
#12 0x00007fe62ed7cd08 in _g_closure_invoke_va (param_types=0x557f73ce1280, n_params=<optimized out>, args=0x7ffc75796b80, instance=0x557f7431fc80, return_value=0x0, closure=0x7ffc75796ac0) at ../gobject/gclosure.c:895
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = 0
        real_closure = 0x7ffc75796aa0
        return_accu = 0x0
        accu = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str
{next = 0x7ffc75796ce0, instance = 0x557f7431fc80, ihint = {signal_id = 153, detail = 0, run_type = (G_SIGNAL_RUN_FIRST | G_SIGNAL_ACCUMULATOR_FIRST_RUN)}, state = EMISSION_RUN, chain_type = }
        instance_type = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str

        emission_return = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 0x4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = <optimized out>
        run_type = <optimized out>
        hlist = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __func__ = "g_signal_emit_valist"
#13 g_signal_emit_valist (instance=0x557f7431fc80, signal_id=153, detail=0, var_args=<optimized out>) at ../gobject/gsignal.c:3462
        return_accu = 0x0
        accu = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str
{next = 0x7ffc75796ce0, instance = 0x557f7431fc80, ihint = {signal_id = 153, detail = 0, run_type = (G_SIGNAL_RUN_FIRST | G_SIGNAL_ACCUMULATOR_FIRST_RUN)}, state = EMISSION_RUN, chain_type = }
        instance_type = Python Exception <class 'TypeError'>: can only concatenate str (not "NoneType") to str

        emission_return = {g_type = 0x0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 0x4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = <optimized out>
        run_type = <optimized out>
        hlist = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __func__ = "g_signal_emit_valist"
#14 0x00007fe62ed7cdf3 in g_signal_emit (instance=0x557f7420b530, signal_id=1941724736, detail=789145312) at ../gobject/gsignal.c:3611
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffc75796b80, reg_save_area = 0x7ffc75796ac0}}
#15 0x00007fe62e547f93 in gtk_icon_theme_class_intern_init (klass=0x557f7420b530) at ../gtk/gtkicontheme.c:816
#16 0x0000000000000000 in  ()

Comment 7 lnie 2023-02-24 01:37:37 UTC
Tried just now,turns out I'm able to report the gnome-software bug using gnome-abrt(https://bugzilla.redhat.com/show_bug.cgi?id=2173118)
So I guess just like Michal said,it is caused by a temp network problem?Though I do tried two times before I opened this bug.
Anyway,sorry for the wrong alarm,and thanks for your attention.


Note You need to log in before you can comment on or make changes to this bug.